<?php

namespace FiloBlu\LogView\Block\Adminhtml\Log;

use Magento\Backend\Block\Template;
use Magento\Backend\Block\Template\Context;
use Magento\Backend\Helper\Data;
use Magento\Framework\App\Filesystem\DirectoryList;
use Magento\Framework\App\Request\Http;

/**
 * Abstract items renderer
 * @SuppressWarnings(PHPMD.CouplingBetweenObjects)
 */
class View extends Template
{
    /**
     * @var string
     */
    public $log;
    /**
     * @var int
     */
    public $updateTime;
    /**
     * @var \Magento\Framework\App\Filesystem\DirectoryList
     */
    protected $directory_list;
    /**
     * @var \Magento\Framework\App\Request\Http
     */
    protected $request;
    /**
     * @var \Magento\Backend\Helper\Data
     */
    protected $backendHelper;

    /**
     * @param \Magento\Backend\Block\Template\Context $context
     * @param array $data
     * @param \Magento\Framework\App\Filesystem\DirectoryList $directory_list
     * @param \Magento\Framework\App\Request\Http $request
     * @param \Magento\Backend\Helper\Data $backendHelper
     * @throws \Magento\Framework\Exception\FileSystemException
     */
    public function __construct(
        Context $context,
        DirectoryList $directory_list,
        Http $request,
        Data $backendHelper ,
        array $data = []
    ) {
        $this->directory_list = $directory_list;
        $this->request = $request;
        $this->backendHelper = $backendHelper;
        $this->log = $this->directory_list->getPath('log') . DIRECTORY_SEPARATOR . $this->request->getParam('file_name');
        $this->updateTime = 5000;

        parent::__construct($context, $data);
    }

    /**
     * @return int
     */
    public function getInitialFileSize()
    {
        $size = filesize($this->log);
        if ($size > 500000) {
            return $size - 250000;
        }

        return 0;
    }

    /**
     * @return string
     */
    public function getAjaxUrl()
    {
        return $this->backendHelper->getUrl('filoblulogviewadmin/log/viewajax', []) . '?file_name=' . $this->request->getParam('file_name');
    }

}
