<?php

namespace FiloBlu\LogView\Block\Adminhtml\Reports;

use Magento\Backend\Block\Template;
use Magento\Backend\Block\Template\Context;
use Magento\Framework\App\Filesystem\DirectoryList;
use Magento\Framework\App\Request\Http;

/**
 * Abstract items renderer
 * @SuppressWarnings(PHPMD.CouplingBetweenObjects)
 */
class View extends Template
{

    protected $directory_list;
    protected $request;

    /**
     * @param \Magento\Backend\Block\Template\Context $context
     * @param array $data
     * @param \Magento\Framework\App\Filesystem\DirectoryList $directory_list
     * @param \Magento\Framework\App\Request\Http $request
     */
    public function __construct(
        Context $context,

        DirectoryList $directory_list,
        Http $request ,
        array $data = []
    ) {
        $this->directory_list = $directory_list;
        $this->request = $request;

        parent::__construct($context, $data);
    }

    /**
     * @return string
     * @throws \Magento\Framework\Exception\FileSystemException
     */
    public function getLog()
    {
        $lines = '';

        $handle = fopen(
            $this->directory_list->getPath(
                'var'
            ) . DIRECTORY_SEPARATOR . 'report' . DIRECTORY_SEPARATOR . $this->request->getParam('file_name'),
            'rb'
        );
        if ($handle) {
            while (($line = fgets($handle)) !== false) {
                // process the line read.
                $lines .= $line . '</br></br>';
            }

            fclose($handle);
        } else {
            // error opening the file.
        }

        return $lines;
    }

}
